#include "stdlib.h"
#include <iostream>
#include "float.h"
#include <vector>
#include <set>
#include <map>

namespace cosi {

namespace algorithms {

namespace onchipcommunication {

using namespace std ;

#ifndef _QUEUE_HANDLER_H_
#define _QUEUE_HANDLER_H_


class Queue
{

 public:

  Queue( ) ;

  ~Queue( ) ;

  int Empty(  ) ;

  int ExtractMin( vector< double > C ) ;

  int ExtractMin( map< int , double > C ) ;

  void Insert( int V )  ;

 private:

  set<  int > Q ;

};
}
}
}
#endif
